//------------------------------------------------------------------------------------
// irr::gui::IGUIScrollBar wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" 
{

	s32 IrrGUI_IGUIScrollBar_getPos(IGUIScrollBar* sb)
	{
		if (sb)
			return sb->getPos();
		else return 0;
	}
	
	void IrrGUI_IGUIScrollBar_setPos(IGUIScrollBar* sb,s32 pos)
	{
		if (sb)
			sb->setPos(pos);
	}
	
	void IrrGUI_IGUIScrollBar_setMax(IGUIScrollBar* sb,s32 max)
	{
		if (sb)
			sb->setMax(max);
	}

	void IrrGUI_IGUIScrollBar_setMin(IGUIScrollBar* sb, s32 min) {
		if (sb)
			sb->setMin(min);
	}
	
	s32 IrrGUI_IGUIScrollBar_getMin(IGUIScrollBar* sb) {
		if (sb)
			return sb->getMin();
		else return -1;
	}

	void IrrGUI_IGUIScrollBar_setSmallStep(IGUIScrollBar* sb,s32 step)
	{
		if (sb)
			sb->setSmallStep(step);
	} 
	
	s32 IrrGUI_IGUIScrollBar_getMax(IGUIScrollBar* sb)
	{
		if (sb)
			return sb->getMax();
		else return -1;
	}
	
	s32 IrrGUI_IGUIScrollBar_getSmallStep(IGUIScrollBar* sb)
	{
		if (sb)
			return sb->getSmallStep();
		else return -1;
	}

	s32  IrrGUI_IGUIScrollBar_getLargeStep(IGUIScrollBar* sb)
	{
		if (sb)
			return sb->getLargeStep();
		else return 0;
	}
	
	void  IrrGUI_IGUIScrollBar_setLargeStep(IGUIScrollBar* sb, s32 step) 
	{
		if (sb)
			sb->setLargeStep(step);
	}
	
}

